Heartbleed vulnerability

We would like to inform our customers that our web hosting servers are already secured and protected from the Heartbleed vulnerability which was discovered today.OpenSSL for CentOS is patched on our servers, using updates available from the official CentOS repositories. Also we revoked the old SSL certificates and issued new ones on our corporate ... Περισσότερα »

4th Apr 2014